<?php
ob_start();
require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include('includes/function.php');

$maindb = "area";
$formname = "Area Print";
$file = "area_print_fr.php";
//$mgrpcode   = "009"; 

$admin = $_SESSION["admin_" . $dbname];
$zdb = $_SESSION["zdbyear_" . $dbname];
$myyear = $_SESSION[$myyear];
mysqli_select_db($conn, $zdb);

if (isset($_POST["view"])) {
    $area = $_POST["area"];

    $areacond = "";

    if (!empty($area)) {
        $areacond = " AND `code`='$area' ";
    }

    $getpmain = mysqli_query($conn, "SELECT * FROM `$maindb` WHERE area!='' $areacond")or die(mysqli_error($conn));

    include("includes/linkshead.php");
    ?>
    <script src="MyScript/item.js" type="text/javascript"></script>
    </head>
    <body>
        <div class="container">
           <?php include("includes/head_rep.php"); ?>
            <div class="row">
                <div class="col-lg-12 pad">
                    <table class="table table-bordered table-condensed table-hover">
                        <tr  style="background-color: #1ABC9C">
                            <th>Sr</th>
                            <th>Area</th>
                        </tr>
                        <?php
                        $ctr = 1;
                        while ($pmain = mysqli_fetch_array($getpmain)) {

                            Echo "<tr>";
                            Echo "<td width='10%'>$ctr</td>";
                            Echo "<td width='90%'>$pmain[area]</td>";
                            Echo "</tr>";
                            $ctr++;
                        }
                        ?>
                    </table>
                </div>
            </div>
        </div>

        <?php include("includes/linksfoot.php"); ?>
    </body>
    </html>
    <?
}
if (isset($_POST["excel"])) {
    $area = $_POST["area"];
//    $route = $_POST["route"];
//    $pin   = $_POST["pin"];

    $areacond = "";
//    $routecond  = "";
//    $pincond  = "";

    if (!empty($area)) {
        $areacond = " AND `code`='$area' ";
    }
//    if(!empty($route)){
//        $cond = " AND `country` LIKE '%$route%' ";
//    }
//    if(!empty($pin)){
//        $citycond = " AND `city` LIKE '%$pin%' ";
//    }
    $getpmain = mysqli_query($conn, "SELECT * FROM `$maindb` WHERE area!='' $areacond")or die(mysqli_error($conn));

    $contents.="Area\n";

    $ctr = 1;
    while ($pmain = mysqli_fetch_array($getpmain)) {
        $ctr++;
        $parea = $pmain[area];

        $contents.=$parea  . "\n";
    }
    $contents = strip_tags($contents);

    if ($_POST["dtype"] == 1) {
        header("Content-Disposition: attachment; filename=$formname" . "_Summary" . date('d-m-Y') . ".csv");
        print $contents;
    } else {
        header("Content-Disposition: attachment; filename=$formname" . "_Detail" . date('d-m-Y') . ".csv");
        print $contents;
    }
}
?>
